Skip to main content
GET
/
venue-events
List venue events
curl --request GET \
  --url https://api.agg.market/venue-events \
  --header 'x-app-id: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "externalIdentifier": "<string>",
      "title": "<string>",
      "image": "<string>",
      "categories": [
        {
          "id": "<string>",
          "category": {
            "id": "<string>",
            "name": "<string>",
            "displayName": "<string>",
            "parentId": "<string>",
            "eventCount": 123,
            "volume24hr": 123,
            "volume": 123
          }
        }
      ],
      "description": "<string>",
      "volume": 1,
      "startDate": "<string>",
      "endDate": "<string>",
      "creationDate": "<string>",
      "gameStartTime": "<string>",
      "slug": "<string>",
      "subtitle": "<string>",
      "venues": [],
      "marketCount": 1,
      "venueCount": 1,
      "groupMarketCount": 1,
      "updatedAt": "<string>",
      "venueMarkets": [
        {
          "id": "<string>",
          "externalIdentifier": "<string>",
          "question": "<string>",
          "venueMarketOutcomes": [
            {
              "id": "<string>",
              "venueMarketId": "<string>",
              "label": "<string>",
              "price": 0.5,
              "externalIdentifier": "<string>",
              "title": "<string>",
              "winner": true,
              "matchedVenueMarketOutcomes": [
                {
                  "venueMarketId": "<string>",
                  "venueMarketOutcomeId": "<string>"
                }
              ],
              "matchDecision": {
                "reasonPresets": [
                  "<string>"
                ],
                "reasonText": "<string>",
                "decidedBy": "<string>",
                "decidedAt": "<string>"
              }
            }
          ],
          "marketId": "<string>",
          "venueEventId": "<string>",
          "description": "<string>",
          "rulesPrimary": "<string>",
          "rulesSecondary": "<string>",
          "conditionId": "<string>",
          "volume": 1,
          "image": "<string>",
          "startDate": "<string>",
          "endDate": "<string>",
          "creationDate": "<string>",
          "createdAt": "<string>",
          "resolutionDate": "<string>",
          "negRisk": true,
          "venues": [],
          "venueCount": 1,
          "arbReturn": 123,
          "aggKey": "<string>",
          "sportsMarketType": "<string>",
          "sectionRank": 123,
          "period": "<string>",
          "marketCategory": "<string>",
          "lineValue": 123,
          "matchedVenueMarkets": [
            {
              "id": "<string>",
              "externalIdentifier": "<string>",
              "question": "<string>",
              "volume": 1,
              "conditionId": "<string>",
              "arbReturn": 123,
              "shortTitle": "<string>",
              "image": "<string>",
              "venueEvent": {
                "id": "<string>",
                "externalIdentifier": "<string>",
                "slug": "<string>",
                "title": "<string>",
                "series": {
                  "id": "<string>",
                  "venue": "<string>",
                  "externalIdentifier": "<string>",
                  "name": "<string>"
                }
              },
              "venueMarketOutcomes": [
                {
                  "id": "<string>",
                  "venueMarketId": "<string>",
                  "label": "<string>",
                  "price": 123,
                  "title": "<string>",
                  "winner": true
                }
              ]
            }
          ]
        }
      ],
      "arbReturn": 123,
      "series": {
        "externalIdentifier": "<string>"
      },
      "recurrence": "<string>",
      "aggKey": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Query Parameters

venues
Available options:
kalshi,
polymarket,
limitless,
opinion,
predict,
probable,
myriad,
hyperliquid
matchStatus
Available options:
pending,
unmatched,
review,
matched,
verified,
rejected
categoryIds
status
Available options:
open,
closed,
resolved,
unopened,
paused
sortDir
enum<string>
Available options:
asc,
desc
sortBy
enum<string>
Available options:
volume,
volume24hr,
createdAt,
endDate,
arbReturn
limit
number
Required range: 1 <= x <= 100
cursor
string
grouped
enum<string>
Available options:
true,
false
aggKey
recurrence
Available options:
PT5M,
PT10M,
PT15M,
PT1H,
P1D,
P1W,
P1M,
P1Y,
null

Response

200

data
object[]
required
nextCursor
string | null
required
hasMore
boolean
required